package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleType;
import com.sa.ibiz.demo.demo.service.dto.UserRoleTypeSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleType] 服务对象接口
 */
public interface UserRoleTypeService extends IService<UserRoleType>{

	boolean update(UserRoleType et);
	boolean checkKey(UserRoleType et);
	boolean create(UserRoleType et);
		UserRoleType get(UserRoleType et);
	boolean getDraft(UserRoleType et);
	boolean remove(UserRoleType et);
    List<UserRoleType> listDefault(UserRoleTypeSearchFilter filter) ;
	Page<UserRoleType> searchDefault(UserRoleTypeSearchFilter filter);
	/**	 实体[UserRoleType] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }